function ytplayer_render_playlist(what, howmany) {
    var ytplayer_playlist = [],
        ytplayer_playitem = 0,
        varr = what.toString();
    var varr1 = varr.split(",");

    for(x = 0; x < howmany; x++) {
        ytplayer_playlist.push(varr1[x]);
    }

    for(var i = 0; i < ytplayer_playlist.length; i++) {
        var img = document.createElement("img");
        img.src = "https://img.youtube.com/vi/" + ytplayer_playlist[i] + "/default.jpg";
        var a = document.createElement("a");
        a.href = "https://www.youtube.com/embed/" + ytplayer_playlist[i] + "?rel=0&hd=1&version=3&iv_load_policy=3&showinfo=0&autoplay=1";
        a.rel = ytplayer_playlist[i];
        a.target = "ytpl-frame";

        a.onclick = (function(j) {
            return function() {
                ytplayer_playitem = j;
                ytplayer_playlazy(0); // 1000
            };
        })(i);
        a.appendChild(img);
        if(howmany > 1) {
            document.getElementById("ytplayer_div2").appendChild(a);
        }
    }
}

function ytplayer_playlazy(delay) {
    if(typeof ytplayer_playlazy.timeoutid != "undefined") {
        window.clearTimeout(ytplayer_playlazy.timeoutid);
    }
    ytplayer_playlazy.timeoutid = window.setTimeout(ytplayer_play, delay);
}

function ytplayer_play() {
    var o = document.getElementById("ytplayer_object");
    if(o) {
        o.loadVideoById(ytplayer_playlist[ytplayer_playitem]);
    }
}

jQuery(window).on("load", function() {
    jQuery("#ytplayer_div2 a").click(function() {
        jQuery("#ytplayer_div2 a").removeClass("active");
        jQuery(this).addClass("active");
    })
});
